Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/LinePenStyle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/LinePenStyle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/LinePenStyle.cs	(revision 4068)
@@ -1,202 +1,179 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 using System.Drawing.Drawing2D;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Extended <see cref="PenStyle"/> with extra properties for the design 
+  /// of connections.  
+  /// <remarks>Although the .Net 2.0 framework allows you to set line caps 
+  /// the result is, humbly said, rather poor. The caps are not drawn 
+  /// proportionally and custom caps cannot be filled resulting in a 'not 
+  /// implemented' exception.  So, the only working solution (read: hack) 
+  /// I found is to draw the caps with a secondary pen whose size is bigger 
+  /// than the base pen with which the line is drawn. Unfortunately this 
+  /// hack cannot solely be implemented in this class, you need to fix it 
+  /// in the painting routines.  Hopefully a solution will be around later 
+  /// on.
+  /// </remarks>
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public partial class LinePenStyle : PenStyle {
+
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Extended <see cref="PenStyle"/> with extra properties for the design 
-    /// of connections.  
-    /// <remarks>Although the .Net 2.0 framework allows you to set line caps 
-    /// the result is, humbly said, rather poor. The caps are not drawn 
-    /// proportionally and custom caps cannot be filled resulting in a 'not 
-    /// implemented' exception.  So, the only working solution (read: hack) 
-    /// I found is to draw the caps with a secondary pen whose size is bigger 
-    /// than the base pen with which the line is drawn. Unfortunately this 
-    /// hack cannot solely be implemented in this class, you need to fix it 
-    /// in the painting routines.  Hopefully a solution will be around later 
-    /// on.
-    /// </remarks>
+    /// Implementation of IVersion - the current version of 
+    /// LinePenStyle.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public partial class LinePenStyle : PenStyle
-    {
+    // ------------------------------------------------------------------
+    protected const double linePenStyleVersion = 1.0;
 
-        #region Fields
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the custom end cap
+    /// </summary>
+    // ------------------------------------------------------------------
+    private CustomLineCap mCustomEndCap;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// LinePenStyle.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double linePenStyleVersion = 1.0;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the custom start cap
+    /// </summary>
+    // ------------------------------------------------------------------
+    private CustomLineCap mCustomStartCap;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the custom end cap
-        /// </summary>
-        // ------------------------------------------------------------------
-        private CustomLineCap mCustomEndCap;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the start cap
+    /// </summary>
+    // ------------------------------------------------------------------
+    private LineCap mStartCap = LineCap.NoAnchor;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the custom start cap
-        /// </summary>
-        // ------------------------------------------------------------------
-        private CustomLineCap mCustomStartCap;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the end cap
+    /// </summary>
+    // ------------------------------------------------------------------
+    private LineCap mEndCap = LineCap.NoAnchor;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the start cap
-        /// </summary>
-        // ------------------------------------------------------------------
-        private LineCap mStartCap = LineCap.NoAnchor;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the static generalization cap
+    /// </summary>
+    // ------------------------------------------------------------------
+    private static CustomLineCap mGeneralizationCap;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the end cap
-        /// </summary>
-        // ------------------------------------------------------------------
-        private LineCap mEndCap = LineCap.NoAnchor;
+    #endregion
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the static generalization cap
-        /// </summary>
-        // ------------------------------------------------------------------
-        private static CustomLineCap mGeneralizationCap;
+    #region Properties
 
-        #endregion
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override double Version {
+      get {
+        return linePenStyleVersion;
+      }
+    }
 
-        #region Properties
+    /// <summary>
+    /// Gets the 'generallization cap'. This <see cref="CustomLineCap"/> is an arrow used in UML diagram to emphasize a generalization
+    /// of an object, i.e. an object is inherited and expanded or generalized.
+    /// </summary>
+    /// <value>The generallization cap.</value>
+    public static CustomLineCap GenerallizationCap {
+      get {
+        return mGeneralizationCap;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override double Version
-        {
-            get
-            {
-                return linePenStyleVersion;
-            }
-        }
+    /// <summary>
+    /// Gets or sets the custom end cap.
+    /// </summary>
+    /// <value>The custom end cap.</value>
+    public CustomLineCap CustomEndCap {
+      get {
+        return mCustomEndCap;
+      }
+      set {
+        mCustomEndCap = value;
+      }
+    }
 
-        /// <summary>
-        /// Gets the 'generallization cap'. This <see cref="CustomLineCap"/> is an arrow used in UML diagram to emphasize a generalization
-        /// of an object, i.e. an object is inherited and expanded or generalized.
-        /// </summary>
-        /// <value>The generallization cap.</value>
-        public static CustomLineCap GenerallizationCap
-        {
-            get {
-                return mGeneralizationCap;
-            }
-        }        
+    /// <summary>
+    /// Gets or sets the custom start cap.
+    /// </summary>
+    /// <value>The custom start cap.</value>
+    public CustomLineCap CustomStartCap {
+      get {
+        return mCustomStartCap;
+      }
+      set {
+        mCustomStartCap = value;
+      }
+    }
 
-        /// <summary>
-        /// Gets or sets the custom end cap.
-        /// </summary>
-        /// <value>The custom end cap.</value>
-        public CustomLineCap CustomEndCap
-        {
-            get
-            {
-                return mCustomEndCap;
-            }
-            set
-            {
-                mCustomEndCap = value;
-            }
-        }
+    /// <summary>
+    /// Gets or sets the start cap.
+    /// </summary>
+    /// <value>The start cap.</value>
+    public LineCap StartCap {
+      get {
+        return mStartCap;
+      }
+      set {
+        mStartCap = value;
+      }
+    }
 
-        /// <summary>
-        /// Gets or sets the custom start cap.
-        /// </summary>
-        /// <value>The custom start cap.</value>
-        public CustomLineCap CustomStartCap
-        {
-            get
-            {
-                return mCustomStartCap;
-            }
-            set
-            {
-                mCustomStartCap = value;
-            }
-        }
+    /// <summary>
+    /// Gets or sets the end cap.
+    /// </summary>
+    /// <value>The end cap.</value>
+    public LineCap EndCap {
+      get {
+        return mEndCap;
+      }
+      set {
+        mEndCap = value;
+      }
+    }
+    /// <summary>
+    /// The constructed pen
+    /// </summary>
+    /// <returns></returns>
+    public override Pen DrawingPen() {
+      Pen pen = base.DrawingPen();
+      /*
+       * Not a satisfying result, see the hack in the class comments above.
+      pen.CustomEndCap = mCustomEndCap;
+      pen.CustomStartCap = mCustomStartCap;
+      pen.StartCap = mStartCap;
+      pen.EndCap = mEndCap;
+       */
+      return pen;
+    }
+    #endregion
 
-        /// <summary>
-        /// Gets or sets the start cap.
-        /// </summary>
-        /// <value>The start cap.</value>
-        public LineCap StartCap
-        {
-            get
-            {
-                return mStartCap;
-            }
-            set
-            {
-                mStartCap = value;
-            }
-        }
+    #region Constructor
 
-        /// <summary>
-        /// Gets or sets the end cap.
-        /// </summary>
-        /// <value>The end cap.</value>
-        public LineCap EndCap
-        {
-            get
-            {
-                return mEndCap;
-            }
-            set
-            {
-                mEndCap = value;
-            }
-        }
-        /// <summary>
-        /// The constructed pen
-        /// </summary>
-        /// <returns></returns>
-        public override Pen DrawingPen()
-        {
-            Pen pen = base.DrawingPen();
-            /*
-             * Not a satisfying result, see the hack in the class comments above.
-            pen.CustomEndCap = mCustomEndCap;
-            pen.CustomStartCap = mCustomStartCap;
-            pen.StartCap = mStartCap;
-            pen.EndCap = mEndCap;
-             */
-            return pen;
-        }
-        #endregion
+    /// <summary>
+    /// Initializes the <see cref="T:LinePenStyle"/> class.
+    /// </summary>
+    static LinePenStyle() {
+      Point[] ps = new Point[3] { new Point(-2, 0), new Point(0, 4), new Point(2, 0) };
+      GraphicsPath gpath = new GraphicsPath();
+      gpath.AddPolygon(ps);
+      gpath.CloseAllFigures();
+      mGeneralizationCap = new CustomLineCap(null, gpath);
+    }
 
-        #region Constructor
+    public LinePenStyle() { }
 
-        /// <summary>
-        /// Initializes the <see cref="T:LinePenStyle"/> class.
-        /// </summary>
-        static LinePenStyle()
-        {
-            Point[] ps = new Point[3] { new Point(-2, 0), new Point(0, 4), new Point(2, 0) };
-            GraphicsPath gpath = new GraphicsPath();
-            gpath.AddPolygon(ps);
-            gpath.CloseAllFigures();
-            mGeneralizationCap = new CustomLineCap(null, gpath);
-        }
-
-        public LinePenStyle()
-        { }
-
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/PenStyle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/PenStyle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/PenStyle.cs	(revision 4068)
@@ -1,164 +1,145 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
 using System.Drawing.Drawing2D;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Basic <see cref="IPenStyle"/> implementation; this is the minimal 
+  /// structure for a pen, add other <see cref="Pen"/> properties as needed.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public partial class PenStyle : IPenStyle {
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Basic <see cref="IPenStyle"/> implementation; this is the minimal 
-    /// structure for a pen, add other <see cref="Pen"/> properties as needed.
+    /// Implementation of IVersion - the current version of 
+    /// PenStyle.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public partial class PenStyle : IPenStyle
-    {
-        #region Fields
+    // ------------------------------------------------------------------
+    protected const double penStyleVersion = 1.0;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// PenStyle.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double penStyleVersion = 1.0;
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// the pen's color
+    /// </summary>
+    // -------------------------------------------------------------------
+    private Color mColor = Color.Gray;
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// the pen's color
-        /// </summary>
-        // -------------------------------------------------------------------
-        private Color mColor = Color.Gray;
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// the dashstyle of the pen
+    /// </summary>
+    // -------------------------------------------------------------------
+    private DashStyle mDashStyle = DashStyle.Solid;
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// the dashstyle of the pen
-        /// </summary>
-        // -------------------------------------------------------------------
-        private DashStyle mDashStyle = DashStyle.Solid;
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// the pen's width
+    /// </summary>
+    // -------------------------------------------------------------------
+    private float mWidth = 1F;
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// the pen's width
-        /// </summary>
-        // -------------------------------------------------------------------
-        private float mWidth = 1F;
+    #endregion
 
-        #endregion
+    #region Properties
 
-        #region Properties
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual double Version {
+      get {
+        return penStyleVersion;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual double Version
-        {
-            get
-            {
-                return penStyleVersion;
-            }
-        }
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the color.
+    /// </summary>
+    /// <value>The color.</value>
+    // -------------------------------------------------------------------
+    public Color Color {
+      get {
+        return mColor;
+      }
+      set {
+        mColor = value;
+      }
+    }
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the color.
-        /// </summary>
-        /// <value>The color.</value>
-        // -------------------------------------------------------------------
-        public Color Color
-        {
-            get
-            {
-                return mColor;
-            }
-            set
-            {
-                mColor = value;
-            }
-        }
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the dash style.
+    /// </summary>
+    /// <value>The dash style.</value>
+    // -------------------------------------------------------------------
+    public DashStyle DashStyle {
+      get {
+        return mDashStyle;
+      }
+      set {
+        mDashStyle = value;
+      }
+    }
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the dash style.
-        /// </summary>
-        /// <value>The dash style.</value>
-        // -------------------------------------------------------------------
-        public DashStyle DashStyle
-        {
-            get
-            {
-                return mDashStyle;
-            }
-            set
-            {
-                mDashStyle = value;
-            }
-        }
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the width.
+    /// </summary>
+    /// <value>The width.</value>
+    // -------------------------------------------------------------------
+    public float Width {
+      get {
+        return mWidth;
+      }
+      set {
+        mWidth = value;
+      }
+    }
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the width.
-        /// </summary>
-        /// <value>The width.</value>
-        // -------------------------------------------------------------------
-        public float Width
-        {
-            get
-            {
-                return mWidth;
-            }
-            set
-            {
-                mWidth = value;
-            }
-        }
+    #endregion
 
-        #endregion
+    #region Constructors
 
-        #region Constructors
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:PenStyle"/> class.
+    /// </summary>
+    // -------------------------------------------------------------------
+    public PenStyle() { }
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:PenStyle"/> class.
-        /// </summary>
-        // -------------------------------------------------------------------
-        public PenStyle()
-        { }
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:PenStyle"/> class.
+    /// </summary>
+    /// <param name="color">The color.</param>
+    /// <param name="dashStyle">The dash style.</param>
+    /// <param name="width">The width.</param>
+    // -------------------------------------------------------------------
+    public PenStyle(Color color, DashStyle dashStyle, float width) {
+      this.mColor = color;
+      this.mWidth = width;
+      this.mDashStyle = dashStyle;
+    }
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:PenStyle"/> class.
-        /// </summary>
-        /// <param name="color">The color.</param>
-        /// <param name="dashStyle">The dash style.</param>
-        /// <param name="width">The width.</param>
-        // -------------------------------------------------------------------
-        public PenStyle(Color color, DashStyle dashStyle, float width)
-        {
-            this.mColor = color;
-            this.mWidth = width;
-            this.mDashStyle = dashStyle;
-        }
+    #endregion
 
-        #endregion
+    #region Methods
 
-        #region Methods
-
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Returns the constructed pen.
-        /// </summary>
-        /// <returns>Pen</returns>
-        // -------------------------------------------------------------------
-        public virtual Pen DrawingPen()
-        {
-            Pen pen = new Pen(mColor, mWidth);
-            pen.DashStyle = mDashStyle;
-            return pen;
-        }
-        #endregion
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Returns the constructed pen.
+    /// </summary>
+    /// <returns>Pen</returns>
+    // -------------------------------------------------------------------
+    public virtual Pen DrawingPen() {
+      Pen pen = new Pen(mColor, mWidth);
+      pen.DashStyle = mDashStyle;
+      return pen;
     }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/SimpleConnectorPaintStyle.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/SimpleConnectorPaintStyle.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Utils/Styling/SimpleConnectorPaintStyle.cs	(revision 4068)
@@ -1,88 +1,76 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-using System.Drawing.Drawing2D;
 
-namespace Netron.Diagramming.Core
-{
-    public partial class SimpleConnectorPaintStyle : IPaintStyle
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Event raised when this paint style is changed.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event PaintStyleChangedEventHandler PaintStyleChanged;
+namespace Netron.Diagramming.Core {
+  public partial class SimpleConnectorPaintStyle : IPaintStyle {
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Event raised when this paint style is changed.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event PaintStyleChangedEventHandler PaintStyleChanged;
 
-        #region Fields
+    #region Fields
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// SimpleConnectorPaintStyle.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double simpleConnectorPaintStyleVersion = 1.0;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Implementation of IVersion - the current version of 
+    /// SimpleConnectorPaintStyle.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected const double simpleConnectorPaintStyleVersion = 1.0;
 
-        Color mSolidColor = Color.Transparent;
+    Color mSolidColor = Color.Transparent;
 
-        #endregion
+    #endregion
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual double Version
-        {
-            get
-            {
-                return simpleConnectorPaintStyleVersion;
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual double Version {
+      get {
+        return simpleConnectorPaintStyleVersion;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public SimpleConnectorPaintStyle()
-        {
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Constructor.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public SimpleConnectorPaintStyle() {
+    }
 
-        #region IPaintStyle Members
+    #region IPaintStyle Members
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Returns a brush that has a transparent color.
-        /// </summary>
-        /// <param name="rectangle">Rectangle</param>
-        /// <returns>Brush</returns>
-        // ------------------------------------------------------------------
-        public Brush GetBrush(Rectangle rectangle)
-        {
-            return new SolidBrush(mSolidColor);
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Returns a brush that has a transparent color.
+    /// </summary>
+    /// <param name="rectangle">Rectangle</param>
+    /// <returns>Brush</returns>
+    // ------------------------------------------------------------------
+    public Brush GetBrush(Rectangle rectangle) {
+      return new SolidBrush(mSolidColor);
+    }
 
-        #endregion
-        
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Raises the PaintStyleChanged event.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected virtual void RaisePaintStyleChanged()
-        {
-            if (this.PaintStyleChanged != null)
-            {
-                // Raise the event
-                this.PaintStyleChanged(
-                    this,
-                    new PaintStyleChangedEventArgs(
-                    this,
-                    FillType.LinearGradient));
-            }
-        }
+    #endregion
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Raises the PaintStyleChanged event.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected virtual void RaisePaintStyleChanged() {
+      if (this.PaintStyleChanged != null) {
+        // Raise the event
+        this.PaintStyleChanged(
+            this,
+            new PaintStyleChangedEventArgs(
+            this,
+            FillType.LinearGradient));
+      }
     }
+  }
 }
